For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
    • Closed Beta Programs
        • API Documentation
        • Check List
        • Code Samples
        • Guiding Questions
        • Iterative Feature Development
        • API Reference
              • POSTGet OAuth Token
Dev Portal
LogoLogo
Closed Beta ProgramsPowered ByAPI ReferenceAuth

Get OAuth Token

Beta
POST
https://api.bigcommerce.com/franchises/account_uuid/v1/oauth/token
POST
/franchises/account_uuid/v1/oauth/token
$curl -X POST https://api.bigcommerce.com/franchises/account_uuid/v1/oauth/token \
> -H "Accept: application/json" \
> -H "X-Auth-Client: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "duration": 900
>}'
1{
2 "access_token": "dlkJcn34f9a8s7dfLkd0123mnoPqrsTuvWxYz",
3 "expires_at": "2024-06-30T18:45:00.000Z"
4}
This endpoint allows you to generate a temporary OAuth token required to authenticate requests to the Powered by APIs. Franchises support a single OAuth token. Generating a new OAuth token will invalidate the previous OAuth token.
Was this page helpful?
Previous

Create Store Reactivation

Next

Overview

Built with

Authentication

X-Auth-Clientstring
The client ID of the franchise API account.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

durationdoubleRequired

Response

Success
access_tokenstring>=1 character
expires_atstring>=1 character

Errors

401
Unauthorized Error
403
Forbidden Error
502
Bad Gateway Error
503
Service Unavailable Error
504
Gateway Timeout Error